{ config, pkgs, ... }:

let
  gitpkgs = import /nixpkgs {};
in {
  config.machine.pkgsets.emacs.pkgwrap = [ (gitpkgs.emacsWithPackages (epkgs: with epkgs; config.machine.pkgsets.emacs.pkgs)) ];
  config.machine.pkgsets.emacs.pkgs = with pkgs; with pkgs.emacsPackages; [
    /* Theming */
    solarized-theme color-theme-sanityinc-tomorrow moe-theme powerline moody minions
    /*General Stuff */
    rainbow-delimiters # color parenthesis by indentation
    color-identifiers-mode
    /* Python */
    company-jedi pylint elpy flycheck-mypy
    /* Git support */
    magit
    emms # multimedia support
    wsd-mode
    plantuml-mode
    /* Other Stuff, not yet sorted */
    mu4e-alert
    google-translate
    tramp
    transmission
    org-plus-contrib orgit ox-gfm ox-rst
    easy-jekyll markdown-mode impatient-mode simple-httpd htmlize
    eclim
    auto-complete
    pkgs.aspell pkgs.aspellDicts.en pkgs.aspellDicts.de
    use-package diminish bind-key
    smartparens
    evil-surround evil-indent-textobject evil-cleverparens avy undo-tree
    cdlatex #  for math expressions
    helm
    /* LaTeX */ auctex helm-bibtex cdlatex
    markdown-mode
    flycheck
    pkgs.ledger
    yaml-mode
    company
    # Irony is currently broken.
    /* C/C++ */ irony company-irony  company-irony-c-headers flycheck-irony clang-format pkgs.clang-tools
    /* Haskell */ haskell-mode flycheck-haskell
    /* Org */ org org-ref pdf-tools org-bullets org-caldav
    /* Rust */ rust-mode flycheck-rust racer
    /* mail */ messages-are-flowing
    /* Nix */ nix-buffer nix-mode nixos-options company-nixos-options nix-sandbox
    paganini-theme
    json-navigator
    spaceline # modeline beautification
    winum eyebrowse # window management
    auto-compile
    /* Maxima */ pkgs.maxima
    visual-fill-column
    web-mode
    melpaStablePackages.idris-mode helm-idris
    /* Java */
#    projectile yasnippet lsp-mode hydra company-lsp lsp-ui lsp-java dap-mode
    cl-lib meghanada autodisass-java-bytecode google-c-style realgud
    weechat
  ];
}
