{ config, pkgs, ... }:

{
  config.machine.pkgsets.java.pkgs = with pkgs; [
    openjdk11
    maven
    (with gitpkgs.eclipses; eclipseWithPlugins {
      eclipse = eclipse-platform;
      jvmArgs = [ "-Xmx2048m" ];
      plugins = with plugins; [
        color-theme
        # emacsplus
        checkstyle
        eclemma
      ];
    })
  ];
}
